## gnustep-back 0.26.2

=== debian/changelog ===
gnustep-back (0.26.2-3) unstable; urgency=medium

  * debian/patches/xlib-fontconfig.patch: New, cherry-picked from
    upstream; replace xlib-specific font enumerator with the shared
    fontconfig one.  Fixes major slowness with approx 1/3 of the apps.
  * debian/patches/threaded-x.patch: New, cherry-picked from upstream;
    enables drawing in secondary threads which is needed by
    lynkeos.app/2.10.
  * debian/patches/no-font_cacher.patch: New, cherry-picked from upstream;
    don't build font_cacher with the Xft-enabled xlib backend.
  * debian/patches/fix-spelling-error.patch: Fix another spelling error.
  * debian/patches/tools.patch: Remove; not really needed.
  * debian/patches/series: Update.
  * debian/rules: Remove dh_make boilerplate comments.
    (override_dh_auto_build, override_dh_auto_install): Simplify recipes
    by passing SERIAL_SUBDIRECTORIES=Source for cairo and art.
  * debian/font_cacher.1: Delete.
  * debian/gnustep-back-common.manpages: Delete; the gpbs manpage is
    installed by the upstream build system.
  * debian/templates/gnustep-back-common.install.in: Add usr/share/man.
  * debian/README.Debian: Update info about font handling.
  * debian/copyright: Remove font_cacher.1 snippet.
  * debian/tests/control (Depends): Add file.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 26 Feb 2018 00:27:35 +0200

gnustep-back (0.26.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/templates/control.m4 (Vcs-Git, Vcs-Browser): Update to point
    to salsa.debian.org.
  * debian/control: Regenerate.
  * debian/README.Debian: Update to reflect the fact that cairo is the
    default backend.  Add note about different font handling between the
    backends.  Mention systempreferences.app.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 25 Jan 2018 22:17:01 +0200

gnustep-back (0.26.2-1) experimental; urgency=medium

  [ Eric Heintzmann ]
  * debian/rules:
    + Remove -shared-libgcc LDFLAG, now useless.
    + Append --as-needed LDFLAG.
    + Hardening: remove -pie option.
    + Now build depends on latest gnustep-gui package.
  * debian/control:
    + Bump Standards Versions to 4.1.0.
    + As requested by Gürkan, change his name.
  * New fix-spelling-error.patch.
  * Add a testsuite.

  [ Yavor Doganov ]
  * New upstream release 0.26.2:
    + Rename packages following the SONAME change:
      - gnustep-back0.25 -> gnustep-back0.26
      - gnustep-back0.25-art -> gnustep-back0.26-art
      - gnustep-back0.25-cairo -> gnustep-back0.26-cairo
    + New package gnustep-back0.26-xlib: prepare for removal of the art
      backend due to removal of src:libart-lgpl (Addresses: #885786).
  * debian/watch: Switch to ftp.gnustep.org; much more reliable.
  * debian/compat: Bump compat level to 11.
  * debian/rules: Replace shell comments with makefile comments; M-x
    wh-cl.  Use convenience variables where possible.
    (DEB_LDFLAGS_MAINT_APPEND): Add -Wl,--no-undefined.
    (override_dh_testdir): New target to regenerate debian/control.
    (override_dh_auto_configure): Substitute GNUSTEP_SYSTEM_DOC as well
    when generating gnustep-back-common.install.  Configure the xlib
    backend in a separate builddir; handle the generation of maintainer
    scripts and .install/.links files.
    (override_dh_auto_build): Pass dpkg-buildflags explicitly as OBJCFLAGS
    and CFLAGS are being reset by gnustep-make.  Build documentation.
    Pass $(optim) for proper noopt support.  Pass tools=no and fonts=no to
    the cairo build.  Remove unnecessary tools recipe; add one for xlib.
    (override_dh_auto_install): Install documentation and the xlib
    backend.
    (override_dh_auto_clean): Clean documentation; ignoring errors.
    Simplify the recipe.
    (override_dh_strip): Remove in favor of automatic -dbgsym packages.
    (override_dh_shlibdeps): Add override to fix circular dependencies;
    regression introduced in 0.25.0-1 (Closes: #882078).  Thanks to Bill
    Allombert for the report.
  * debian/templates/control.m4: Remove -dbg, add new package -xlib.
    (Build-Depends): Require debhelper >= 11 and gnustep-make >= 2.7.0-3
    for the optim variable definition.
    (Section): Remove section "libs" for all packages as it is wrong
    according to lintian (and to me).
    (Depends): Relax dependencies on -common to ease transitions with the
    ultimate goal to support partial upgrades.
    (Breaks, Replaces): Remove; obsolete.
    (Standards-Version): Declare compliance with 4.1.3.
  * debian/control: Regenerate.
  * debian/templates/gnustep-back-common.install.in: Add
    @GNUSTEP_SYSTEM_DOC@/*.
  * debian/templates/gnustep-back-common.prerm.in: Also delete
    /var/lib/GNUstep, another regession in 0.25.0-1 (Closes: #832349).
    Thanks Andreas Beckmann.
  * debian/patches/autoreconf.patch: New; fix autoreconf failure.
  * debian/patches/no-freetype-config.patch: New; use PKG_CHECK_MODULES to
    detect freetype as freetype-config is being removed (Closes: #887719).
  * debian/patches/link-libs.patch: New; fix FTBFS with ld --no-undefined.
  * debian/patches/fix-spelling-error.patch: Fix another spelling error.
  * debian/patches/series: Update.
  * debian/clean: Simplify; add Documentation/version.texi.
  * debian/font_cacher.1: New file.
  * debian/gnustep-back-common.manpages: Install it.
  * debian/changelog: Whitespace cleanup.
  * debian/copyright: Update copyright years, add debian packaging
    copyright/license information, add configure license, fix LGPL/GPL
    license notices, fix indentation of license texts.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 21 Jan 2018 15:50:21 +0200
