=== debian/control ===
# -*-debian-control-*-
# NOTE: debian/control is generated from debian/templates/control.m4
Source: gnustep-back
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
	   Gürkan Myczko <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper (>= 11),
	       m4,
	       gnustep-make (>= 2.7.0-3),
	       libgnustep-gui-dev (>= 0.26.2),
	       libice-dev,
	       libxext-dev,
	       libxcursor-dev,
	       libxmu-dev,
	       libfreetype6-dev,
	       libxft-dev,
	       libfontconfig1-dev,
	       libgl1-mesa-dev,
	       libart-2.0-dev,
	       pkg-config,
	       libcairo2-dev,
	       texinfo
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-back
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-back.git
Homepage: http://gnustep.org

Package: gnustep-back0.26
Architecture: all
Depends: gnustep-back0.26-cairo | gnustep-back0.26-alt,
	 ${misc:Depends}
Suggests: fonts-dejavu | gsfonts-x11
Description: GNUstep GUI Backend
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This is an empty package that depends on the various backends.

Package: gnustep-back0.26-art
Architecture: any
Depends: gnustep-back-common (>= 0.26.2),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: gnustep-back0.26-alt
Description: GNUstep GUI Backend (art)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the deprecated libart backend.

Package: gnustep-back0.26-cairo
Architecture: any
Depends: gnustep-back-common (>= 0.26.2),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: gnustep-back0.26-alt
Description: GNUstep GUI Backend (cairo)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the cairo backend.

Package: gnustep-back0.26-xlib
Architecture: any
Depends: gnustep-back-common (>= 0.26.2),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: gnustep-back0.26-alt
Description: GNUstep GUI Backend (xlib)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the deprecated xlib backend.

Package: gnustep-back-common
Architecture: any
Depends: fontconfig,
	 mknfonts.tool,
	 fonts-freefont-ttf,
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: GNUstep GUI Backend - common files
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package contains the common files needed by the GNUstep GUI Backend.
