=== debian/tests/control ===
Tests: file-tests
Depends: @, shunit2, file
