## gnustep-back 0.27.0

=== debian/changelog ===
gnustep-back (0.27.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:42:42 +0100

gnustep-back (0.27.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 10 Jan 2019 15:51:11 +0200

gnustep-back (0.27.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-back0.26 -> 0.27.
  * Remove patches applied upstream:
    - autoreconf.patch;
    - no-freetype-config.patch;
    - link-libs.patch;
    - xlib-fontconfig.patch;
    - threaded-x.patch;
    - no-font_cacher.patch.
  * debian/patches/series: Update.
  * debian/compat: Set to 12.
  * debian/templates/control.m4 (Build-Depends): Bump debhelper
    requirement to match the compat level.  Require gnustep-make >=
    2.7.0-4 for "terse" support.
    (Standards-Version): Claim compliance with 4.3.0; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/rules (override_dh_auto_install): Delete duplicate files
    already shipped at /usr/share/doc.
    (override_dh_auto_build): Use "$(verbose)" instead of "messages=yes"
    to support "terse" in DEB_BUILD_OPTIONS.
  * debian/upstream/signing-key.asc: Minimize.
  * debian/gbp.conf: New file.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 10 Jan 2019 15:50:38 +0200

gnustep-back (0.26.2-4) unstable; urgency=medium

  * debian/templates/control.m4: Let gnustep-backN provide gnustep-back so
    that a backend can always be installed without specifying the version
    (Closes: #892241).  Thanks Josh Freeman for the report.
    (Standards-Version): Bump to 4.1.4 (no changes required).
  * debian/control: Regenerate.
  * debian/tests/file-tests: Replace dumb file tests with a minimalistic
    test program which dynamically loads all backends (Closes: #896838).
    Thanks to Paul Gevers for the report and the idea.
  * debian/tests/control (Restrictions): Define to allow-stderr.
    (Depends): Remove shunit2 and file; add libgnustep-base-dev.
  * debian/tests/load_backends.m:
  * debian/tests/GNUmakefile: New files.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 29 Apr 2018 22:38:07 +0300
