=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 	   Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
 	       m4,
-	       gnustep-make (>= 2.7.0-3),
-	       libgnustep-gui-dev (>= 0.26.2),
+	       gnustep-make (>= 2.7.0-4),
+	       libgnustep-gui-dev (>= 0.27.0),
 	       libice-dev,
 	       libxext-dev,
 	       libxcursor-dev,
@@ -23,16 +23,17 @@
 	       pkg-config,
 	       libcairo2-dev,
 	       texinfo
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-back
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-back.git
 Homepage: http://gnustep.org
 
-Package: gnustep-back0.26
+Package: gnustep-back0.27
 Architecture: all
-Depends: gnustep-back0.26-cairo | gnustep-back0.26-alt,
+Depends: gnustep-back0.27-cairo | gnustep-back0.27-alt,
 	 ${misc:Depends}
 Suggests: fonts-dejavu | gsfonts-x11
+Provides: gnustep-back
 Description: GNUstep GUI Backend
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -43,12 +44,12 @@
  .
  This is an empty package that depends on the various backends.
 
-Package: gnustep-back0.26-art
+Package: gnustep-back0.27-art
 Architecture: any
-Depends: gnustep-back-common (>= 0.26.2),
+Depends: gnustep-back-common (>= 0.27.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.26-alt
+Provides: gnustep-back0.27-alt
 Description: GNUstep GUI Backend (art)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -59,12 +60,12 @@
  .
  This package provides the deprecated libart backend.
 
-Package: gnustep-back0.26-cairo
+Package: gnustep-back0.27-cairo
 Architecture: any
-Depends: gnustep-back-common (>= 0.26.2),
+Depends: gnustep-back-common (>= 0.27.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.26-alt
+Provides: gnustep-back0.27-alt
 Description: GNUstep GUI Backend (cairo)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -75,12 +76,12 @@
  .
  This package provides the cairo backend.
 
-Package: gnustep-back0.26-xlib
+Package: gnustep-back0.27-xlib
 Architecture: any
-Depends: gnustep-back-common (>= 0.26.2),
+Depends: gnustep-back-common (>= 0.27.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.26-alt
+Provides: gnustep-back0.27-alt
 Description: GNUstep GUI Backend (xlib)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
