=== debian/rules ===
--- 
+++ 
@@ -192,7 +192,7 @@
 	dh_auto_build -- -C Documentation
 # Build cairo backend
 	dh_auto_build -- \
-	    messages=yes \
+	    $(verbose) \
 	    $(optim) \
 	    SERIAL_SUBDIRECTORIES=Source \
 	    GNUSTEP_BUILD_DIR=$(b_cairo) \
@@ -200,7 +200,7 @@
 
 # Build art backend
 	dh_auto_build --builddirectory=$(b_art) -- \
-	   messages=yes \
+	   $(verbose) \
 	   $(optim) \
 	   SERIAL_SUBDIRECTORIES=Source \
 	   GNUSTEP_BUILD_DIR=$(b_art) \
@@ -208,7 +208,7 @@
 
 # Build xlib + tools
 	dh_auto_build --builddirectory=$(b_xlib) -- \
-	   messages=yes \
+	   $(verbose) \
 	   $(optim) \
 	   fonts=no \
 	   GNUSTEP_BUILD_DIR=$(b_xlib) \
@@ -231,8 +231,4 @@
 	    fonts=no \
 	    GNUSTEP_BUILD_DIR=$(b_xlib)
 
-override_dh_auto_clean:
-	-dh_auto_clean -- -C Documentation
-	dh_auto_clean
-	rm -rf $(b_cairo) $(b_art) $(b_xlib)
-
+# Delete duplicate files already shipped at /usr/share/doc/.
