## gnustep-back 0.28.0

=== debian/changelog ===
gnustep-back (0.28.0-3) unstable; urgency=medium

  * debian/patches/cache-pattern.patch: New; should fix occasionally
    missing font(s) in the UI with the cairo backend (Closes: #968386).
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Build-Depends): Switch to the
    debhelper-compat mechanism.
    (Standards-Version): Bump to 4.5.1; no changes needed.
  * debian/control: Regenerate.
  * debian/compat: Delete.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 26 Jan 2021 19:55:52 +0200

gnustep-back (0.28.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 12 Jun 2020 13:56:30 +0300

gnustep-back (0.28.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/compat: Set to 13.
  * debian/templates/control.m4 (Build-Depends): Drop gnustep-make;
    required version is in buster.  Bump debhelper requirement to match
    the compat level.  Replace libfontconfig1-dev and libfreetype6-dev
    (now empty/dummy packages) with libfontconfig-dev and libfreetype-dev,
    respectively.  Add libxrandr-dev.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.5.0; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/rules (DEB_LDFLAGS_MAINT_APPEND): Remove -Wl,--as-needed,
    default as of GCC 9.
  * debian/NEWS.Debian: Rename as...
  * debian/NEWS: ... so that it gets installed automatically.  Remove
    asterisks from all entries.
  * debian/patches/fix-spelling-error.patch: Refresh.
  * debian/patches/debian-fonts.patch: Likewise.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 02 May 2020 17:36:29 +0300
