=== debian/control ===
--- 
+++ 
@@ -7,30 +7,31 @@
 	   Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
 	       m4,
-	       gnustep-make (>= 2.7.0-4),
-	       libgnustep-gui-dev (>= 0.27.0),
+	       libgnustep-gui-dev (>= 0.28.0),
 	       libice-dev,
 	       libxext-dev,
 	       libxcursor-dev,
 	       libxmu-dev,
-	       libfreetype6-dev,
+	       libfreetype-dev,
 	       libxft-dev,
-	       libfontconfig1-dev,
+	       libxrandr-dev,
+	       libfontconfig-dev,
 	       libgl1-mesa-dev,
 	       libart-2.0-dev,
 	       pkg-config,
 	       libcairo2-dev,
 	       texinfo
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-back
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-back.git
 Homepage: http://gnustep.org
 
-Package: gnustep-back0.27
+Package: gnustep-back0.28
 Architecture: all
-Depends: gnustep-back0.27-cairo | gnustep-back0.27-alt,
+Depends: gnustep-back0.28-cairo | gnustep-back0.28-alt,
 	 ${misc:Depends}
 Suggests: fonts-dejavu | gsfonts-x11
 Provides: gnustep-back
@@ -44,12 +45,12 @@
  .
  This is an empty package that depends on the various backends.
 
-Package: gnustep-back0.27-art
+Package: gnustep-back0.28-art
 Architecture: any
-Depends: gnustep-back-common (>= 0.27.0),
+Depends: gnustep-back-common (>= 0.28.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.27-alt
+Provides: gnustep-back0.28-alt
 Description: GNUstep GUI Backend (art)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -60,12 +61,12 @@
  .
  This package provides the deprecated libart backend.
 
-Package: gnustep-back0.27-cairo
+Package: gnustep-back0.28-cairo
 Architecture: any
-Depends: gnustep-back-common (>= 0.27.0),
+Depends: gnustep-back-common (>= 0.28.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.27-alt
+Provides: gnustep-back0.28-alt
 Description: GNUstep GUI Backend (cairo)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -76,12 +77,12 @@
  .
  This package provides the cairo backend.
 
-Package: gnustep-back0.27-xlib
+Package: gnustep-back0.28-xlib
 Architecture: any
-Depends: gnustep-back-common (>= 0.27.0),
+Depends: gnustep-back-common (>= 0.28.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.27-alt
+Provides: gnustep-back0.28-alt
 Description: GNUstep GUI Backend (xlib)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
