=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined
 
 # config.mk is provided by gnustep-make package
 include /usr/share/GNUstep/debian/config.mk
@@ -232,3 +232,5 @@
 	    GNUSTEP_BUILD_DIR=$(b_xlib)
 
 # Delete duplicate files already shipped at /usr/share/doc/.
+	$(RM) -r debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Back/ReleaseNotes
+
