=== debian/tests/control ===
Tests: file-tests
Restrictions: allow-stderr
Depends: @, libgnustep-base-dev
