## gnustep-back 0.29.0

=== debian/changelog ===
gnustep-back (0.29.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Dec 2021 02:43:29 +0200

gnustep-back (0.29.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Uploaders): Update Gürkan's address.
    (Standards-Version): Bump to 4.6.0; no changes required.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/rules (override_dh_auto_build, override_dh_auto_install):
    Stop defining GNUSTEP_BUILD_DIR; FTBFS with gnustep-make/2.9.0.
  * debian/patches/cache-pattern.patch: Remove; fixed upstream.
  * debian/patches/fix-spelling-error.patch: Likewise.
  * debian/patches/series: Update.
  * debian/copyright: Update copyright years, add Expat license and
    appropriate entry for two new files from the wayland backend.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 15 Nov 2021 23:42:34 +0200
