=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Source: gnustep-back
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
-	   Gürkan Myczko <gurkan@phys.ethz.ch>,
+	   Gürkan Myczko <tar@debian.org>,
 	   Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 	       m4,
-	       libgnustep-gui-dev (>= 0.28.0),
+	       libgnustep-gui-dev (>= 0.29.0),
 	       libice-dev,
 	       libxext-dev,
 	       libxcursor-dev,
@@ -24,14 +24,14 @@
 	       libcairo2-dev,
 	       texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-back
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-back.git
 Homepage: http://gnustep.org
 
-Package: gnustep-back0.28
+Package: gnustep-back0.29
 Architecture: all
-Depends: gnustep-back0.28-cairo | gnustep-back0.28-alt,
+Depends: gnustep-back0.29-cairo | gnustep-back0.29-alt,
 	 ${misc:Depends}
 Suggests: fonts-dejavu | gsfonts-x11
 Provides: gnustep-back
@@ -45,12 +45,12 @@
  .
  This is an empty package that depends on the various backends.
 
-Package: gnustep-back0.28-art
+Package: gnustep-back0.29-art
 Architecture: any
-Depends: gnustep-back-common (>= 0.28.0),
+Depends: gnustep-back-common (>= 0.29.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.28-alt
+Provides: gnustep-back0.29-alt
 Description: GNUstep GUI Backend (art)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -61,12 +61,12 @@
  .
  This package provides the deprecated libart backend.
 
-Package: gnustep-back0.28-cairo
+Package: gnustep-back0.29-cairo
 Architecture: any
-Depends: gnustep-back-common (>= 0.28.0),
+Depends: gnustep-back-common (>= 0.29.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.28-alt
+Provides: gnustep-back0.29-alt
 Description: GNUstep GUI Backend (cairo)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
@@ -77,12 +77,12 @@
  .
  This package provides the cairo backend.
 
-Package: gnustep-back0.28-xlib
+Package: gnustep-back0.29-xlib
 Architecture: any
-Depends: gnustep-back-common (>= 0.28.0),
+Depends: gnustep-back-common (>= 0.29.0),
 	 ${shlibs:Depends},
 	 ${misc:Depends}
-Provides: gnustep-back0.28-alt
+Provides: gnustep-back0.29-alt
 Description: GNUstep GUI Backend (xlib)
  It is a backend component for the GNUstep GUI Library.
  The implementation of the GNUstep GUI Library is designed in two parts.
