=== debian/rules ===
--- 
+++ 
@@ -195,7 +195,6 @@
 	    $(verbose) \
 	    $(optim) \
 	    SERIAL_SUBDIRECTORIES=Source \
-	    GNUSTEP_BUILD_DIR=$(b_cairo) \
 	    $(shell dpkg-buildflags --export=cmdline)
 
 # Build art backend
@@ -203,7 +202,6 @@
 	   $(verbose) \
 	   $(optim) \
 	   SERIAL_SUBDIRECTORIES=Source \
-	   GNUSTEP_BUILD_DIR=$(b_art) \
 	   $(shell dpkg-buildflags --export=cmdline)
 
 # Build xlib + tools
@@ -211,26 +209,29 @@
 	   $(verbose) \
 	   $(optim) \
 	   fonts=no \
-	   GNUSTEP_BUILD_DIR=$(b_xlib) \
 	   $(shell dpkg-buildflags --export=cmdline)
 
 override_dh_auto_install:
 	dh_auto_install -- -C Documentation
 # Install cairo backend
 	dh_auto_install -- \
-	   SERIAL_SUBDIRECTORIES=Source \
-	   GNUSTEP_BUILD_DIR=$(b_cairo)
+	   SERIAL_SUBDIRECTORIES=Source
 
 # Install art backend
 	dh_auto_install --builddirectory=$(b_art) -- \
-	    SERIAL_SUBDIRECTORIES=Source \
-	    GNUSTEP_BUILD_DIR=$(b_art)
+	    SERIAL_SUBDIRECTORIES=Source
 
 # Install the xlib backend along with the tools.
 	dh_auto_install --builddirectory=$(b_xlib) -- \
-	    fonts=no \
-	    GNUSTEP_BUILD_DIR=$(b_xlib)
+	    fonts=no
 
 # Delete duplicate files already shipped at /usr/share/doc/.
 	$(RM) -r debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Back/ReleaseNotes
 
+override_dh_auto_clean:
+	-dh_auto_clean -- -C Documentation
+	dh_auto_clean
+	rm -rf $(b_cairo) $(b_art) $(b_xlib)
+
+# gnustep-gui's shlibs *must* be overridden, otherwise there are
+# circular dependencies (#882078).
