## gnustep-back 0.30.0

=== debian/changelog ===
gnustep-back (0.30.0-2build2) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:57:25 +0200

gnustep-back (0.30.0-2build1) mantic; urgency=medium

  * Rebuild against libgnustep-base1.29.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2023 11:47:00 +0200

gnustep-back (0.30.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 17 Jun 2023 12:50:10 +0300

gnustep-back (0.30.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (gnustep-back`'SOV_BACK) <Suggests>:
    Replace gsfonts-x11 with fonts-urw-base35 (Closes: #1020352).
    (Standards-Version): Bump to 4.6.2; no changes needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/copyright: Update copyright years, add more Expat-licensed
    files, add one more copyright holder.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 06 Jan 2023 10:54:59 +0200

gnustep-back (0.29.0-3) unstable; urgency=medium

  * The "Bye bye art, bye bye happiness" release.
  * debian/templates/control.m4 (Build-Depends): Remove libart-2.0-dev,
    thus dropping the art backend (Closes: #885786).
    (gnustep-back`'SOV_BACK-art): Delete; this automagically "fixes" bugs
    related to the art backend (Closes: #296977, #918789).
    (gnustep-back-common) <Depends>: Remove fontconfig and mknfonts.tool.
    (Standards-Version): Bump to 4.6.1; no changes needed.
  * debian/control: Regenerate.
  * debian/rules (p_art, b_art, DEB_GNUSTEP_FONTSDIR): Do not define.
    (override_dh_auto_configure): Remove commands for generation of art's
    maintainer scripts, .install and .links files.  Delete the separate
    configuration snippet needed for the art backend.
    (override_dh_auto_build): Don't build the art backend.
    (override_dh_auto_install): Don't install the art backend.
    (override_dh_auto_clean): Don't delete $(b_art).
  * debian/patches/debian-fonts.patch: Delete; no longer needed.
  * debian/patches/series: Delete.
  * debian/templates/gnustep-back-common.postinst.in: Don't generate fonts
    for the art backend.  Handle cleanup of art's remains.
  * debian/templates/gnustep-back-common.prerm.in: Delete; unnecessary.
  * debian/templates/gnustep-back-common.preinst.in: Likewise.
  * debian/tests/load_backends.m (main): Don't load the art backend.
  * debian/README.Debian: Remove all info relevant to art.
  * debian/NEWS: Inform users about the art removal.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 26 Aug 2022 13:05:52 +0300
