=== debian/control ===
# -*-debian-control-*-
# NOTE: debian/control is generated from debian/templates/control.m4
Source: gnustep-back
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
	   Gürkan Myczko <tar@debian.org>,
	   Yavor Doganov <yavor@gnu.org>
Section: gnustep
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       m4,
	       libgnustep-gui-dev (>= 0.30.0),
	       libice-dev,
	       libxext-dev,
	       libxcursor-dev,
	       libxmu-dev,
	       libfreetype-dev,
	       libxft-dev,
	       libxrandr-dev,
	       libfontconfig-dev,
	       libgl1-mesa-dev,
	       pkg-config,
	       libcairo2-dev,
	       texinfo
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-back
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-back.git
Homepage: http://gnustep.org

Package: gnustep-back0.30
Architecture: all
Depends: gnustep-back0.30-cairo | gnustep-back0.30-alt,
	 ${misc:Depends}
Suggests: fonts-dejavu | fonts-urw-base35
Provides: gnustep-back
Description: GNUstep GUI Backend
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This is an empty package that depends on the various backends.

Package: gnustep-back0.30-cairo
Architecture: any
Depends: gnustep-back-common (>= 0.30.0),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: gnustep-back0.30-alt
Description: GNUstep GUI Backend (cairo)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the cairo backend.

Package: gnustep-back0.30-xlib
Architecture: any
Depends: gnustep-back-common (>= 0.30.0),
	 ${shlibs:Depends},
	 ${misc:Depends}
Provides: gnustep-back0.30-alt
Description: GNUstep GUI Backend (xlib)
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package provides the deprecated xlib backend.

Package: gnustep-back-common
Architecture: any
Depends: fonts-freefont-ttf,
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: GNUstep GUI Backend - common files
 It is a backend component for the GNUstep GUI Library.
 The implementation of the GNUstep GUI Library is designed in two parts.
 The first part is the front-end component which is independent of platform
 and display system.  This front-end is combined with a back-end
 component which handles all of the display system dependent such as
 specific calls to the X Window System.
 .
 This package contains the common files needed by the GNUstep GUI Backend.
