=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 #### PACKAGES NAMES #############################################
 
 p_back          = gnustep-back$(sov_back)
-p_art           = gnustep-back$(sov_back)-art
 p_cairo         = gnustep-back$(sov_back)-cairo
 p_xlib          = gnustep-back$(sov_back)-xlib
 p_common        = gnustep-back-common
@@ -38,12 +37,8 @@
 #### DIRS #######################################################
 
 # build dirs
-b_art           = $(CURDIR)/build-art
 b_cairo         = $(CURDIR)/build-cairo
 b_xlib          = $(CURDIR)/build-xlib
-
-# Debian GNUstep fonts directory
-DEB_GNUSTEP_FONTSDIR = /var/lib/GNUstep/Fonts
 
 #################################################################
 
@@ -65,30 +60,8 @@
 	    debian/templates/$(p_common).install.in > debian/$(p_common).install
 
 # generate gnsutep-back-common.postinst script
-	sed -e 's,@DEB_GNUSTEP_FONTSDIR@,$(DEB_GNUSTEP_FONTSDIR),g' \
-	    debian/templates/$(p_common).postinst.in > debian/$(p_common).postinst
-
-# generate gnsutep-back-common.preinst script
-	sed -e 's,@DEB_GNUSTEP_FONTSDIR@,$(DEB_GNUSTEP_FONTSDIR),g' \
-	    debian/templates/$(p_common).preinst.in > debian/$(p_common).preinst
-
-# generate gnsutep-back-common.prerm script
-	sed -e 's,@DEB_GNUSTEP_FONTSDIR@,$(DEB_GNUSTEP_FONTSDIR),g' \
-	    debian/templates/$(p_common).prerm.in > debian/$(p_common).prerm
-
-# generate gnustep-backN-art.postinst file
-	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
-	    -e 's:@IFVER@:$(ifv_back):g' \
-	    -e 's:@BACKEND@:art:g' \
-	    -e 's:@PRIORITY@:10:g' \
-	    debian/templates/gnustep-backN-backend.postinst.in > debian/$(p_art).postinst
-
-# generate gnustep-backN-art.prerm file
-	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
-	    -e 's:@IFVER@:$(ifv_back):g' \
-	    -e 's:@BACKEND@:art:g' \
-	    -e 's:@PRIORITY@:10:g' \
-	    debian/templates/gnustep-backN-backend.prerm.in > debian/$(p_art).prerm
+	cp debian/templates/$(p_common).postinst.in \
+	    debian/$(p_common).postinst
 
 # generate gnustep-backN-cairo.postinst file
 	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
@@ -118,12 +91,6 @@
 	    -e 's:@PRIORITY@:5:g' \
 	    debian/templates/gnustep-backN-backend.prerm.in > debian/$(p_xlib).prerm
 
-# generate gnustep-backN-art.install file
-	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
-	    -e 's:@IFVER@:$(ifv_back):g' \
-	    -e 's:@BACKEND@:art:g' \
-	    debian/templates/gnustep-backN-backend.install.in > debian/$(p_art).install
-
 # generate gnustep-backN-cairo.install file
 	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
 	    -e 's:@IFVER@:$(ifv_back):g' \
@@ -135,12 +102,6 @@
 	    -e 's:@IFVER@:$(ifv_back):g' \
 	    -e 's:@BACKEND@:xlib:g' \
 	    debian/templates/gnustep-backN-backend.install.in > debian/$(p_xlib).install
-
-# generate gnustep-backN-art.links file
-	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
-	    -e 's:@IFVER@:$(ifv_back):g' \
-	    -e 's:@BACKEND@:art:g' \
-	    debian/templates/gnustep-backN-backend.links.in > debian/$(p_art).links
 
 # generate gnustep-backN-cairo.links file
 	sed -e 's:@GNUSTEP_LIBRARY@:$(GNUSTEP_SYSTEM_LIBRARY):g' \
@@ -163,18 +124,7 @@
 	    --enable-graphics=cairo --with-name=cairo \
 	|| (cat config.log; exit 1)
 
-# Configure art backend in a separate build dir
-	dh_auto_configure --builddirectory=$(b_art) -- \
-	    --enable-graphics=art --with-name=art \
-	|| (cat $(b_art)/config.log; exit 1)
-
-	cp Source -r $(b_art)/Source
-	ln -sf \
-	    ../Version ../Headers  ../configure ../back.make.in \
-	    ../GNUmakefile ../GNUmakefile.postamble \
-	    $(b_art)
-
-# Likewise for xlib.
+# Configure xlib backend in a separate build dir.
 	dh_auto_configure --builddirectory=$(b_xlib) -- \
 	    --enable-graphics=xlib --with-name=xlib \
 	|| (cat $(b_xlib)/config.log; exit 1)
@@ -197,13 +147,6 @@
 	    SERIAL_SUBDIRECTORIES=Source \
 	    $(shell dpkg-buildflags --export=cmdline)
 
-# Build art backend
-	dh_auto_build --builddirectory=$(b_art) -- \
-	   $(verbose) \
-	   $(optim) \
-	   SERIAL_SUBDIRECTORIES=Source \
-	   $(shell dpkg-buildflags --export=cmdline)
-
 # Build xlib + tools
 	dh_auto_build --builddirectory=$(b_xlib) -- \
 	   $(verbose) \
@@ -217,10 +160,6 @@
 	dh_auto_install -- \
 	   SERIAL_SUBDIRECTORIES=Source
 
-# Install art backend
-	dh_auto_install --builddirectory=$(b_art) -- \
-	    SERIAL_SUBDIRECTORIES=Source
-
 # Install the xlib backend along with the tools.
 	dh_auto_install --builddirectory=$(b_xlib) -- \
 	    fonts=no
@@ -231,7 +170,13 @@
 override_dh_auto_clean:
 	-dh_auto_clean -- -C Documentation
 	dh_auto_clean
-	rm -rf $(b_cairo) $(b_art) $(b_xlib)
+	rm -rf $(b_cairo) $(b_xlib)
 
 # gnustep-gui's shlibs *must* be overridden, otherwise there are
 # circular dependencies (#882078).
+override_dh_shlibdeps:
+	echo \
+	  "libgnustep-gui $(sov_back) libgnustep-gui$(sov_back) (>= $(v_gui)), gnustep-gui-runtime (>= $(v_gui))" \
+	  > debian/shlibs.local
+	dh_shlibdeps
+	rm debian/shlibs.local
